Bug 604842 - cluster_test fails intermittently
Summary: cluster_test fails intermittently
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
(Show other bugs)
Version: beta
Hardware: All Linux
high
high
Target Milestone: 1.3
: ---
Assignee: Alan Conway
QA Contact: Frantisek Reznicek
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-16 20:13 UTC by Alan Conway
Modified: 2015-11-16 01:12 UTC (History)
3 users (show)

Fixed In Version: 0.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 10:35:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Conway 2010-06-16 20:13:42 UTC
Description of problem:

Running cluster_test in a loop fails after 20-70 iterations

Version-Release number of selected component (if applicable): r955296

How reproducible: fairly easy

Steps to Reproduce:
In a checkout qpid/cpp/src/tests:
. test_env.sh; while ./cluster_test; do true; done
  
Actual results:

../../../cpp/src/tests/cluster_test.cpp(547): error in "testConnectionKnownHosts": check kb0 == kb2 failed [37640 44285  != 44285 51149 ]

fatal error in "testMultiPartialFailure": std::exception: Connection closed


Expected results: no errors


Additional info: Not clear if this is a problem with the test or a real bug.

Comment 1 Alan Conway 2010-06-24 17:28:15 UTC
Fixed on trunk by commits up to r956882. release repo:
http://mrg1.lab.bos.redhat.com/git/?p=qpid.git;a=commitdiff;h=da98116bb0e911c9f491c942790ff33543e14571


Note You need to log in before you can comment on or make changes to this bug.